Subject: bug#22154: 25.0.50; emacsclient -c "breaks" 256-color display in server

From: Eric Hanchrow <[email-masked]>
Date: Sun, 13 Dec 2015 10:05:20 -0800

On Sun, Dec 13, 2015 at 9:30 AM Eli Zaretskii <[email-masked]> wrote:

>
> Out of curiosity: why would you want to downgrade the number of colors
> in the client frames wrt the number supported by the server?
>

It wasn't intentional.  I was trying out a new terminal (a
"terminal-in-your-browser" feature that's part of the "Jupyter notebook" (
http://jupyter.org/).  I created one of those terminals on the machine on
which I was running emacs, and, in order to see it work, I started an
emacsclient.

>
> Does the patch below fix the problem?
>

It doesn't seem to make any difference.